Subject: libxml-parse-xml-region: Raise runtime error, don't return nil

From: Jambunathan K <[email-masked]>
Date: Sat, 09 Nov 2013 09:29:15 +0530

Christof

Christof Spitz <[email-masked]> writes:

> I found the bug: Windows-Emacs was missing the libxml2 library. I got
> the libxml2-2.7.8.-w32-bin.zip, copied the content of /bin into Emacs'
> /bin directory and now the formatting works.

This should have been very difficult to track down. 

ox-freemind.el does invoke `libxml-parse-xml-region'.  I think Emacs
should raise a runtime error (and not return nil) if the above API is
called but libxml is unavailable.

ps: This bug is a good excuse to audit "other" such wrapper calls (if
there are any) and make sure that they don't fall silently.